sasl_checkpass(26 March 2000)

NAME
sasl_checkpass - Check a plaintext password

SYNOPSIS
#include <sasl.h>

int sasl_checkpass(sasl_conn_t *conn,
		       const char *user,
		       unsigned userlen,
		       const char *pass,
		       unsigned passlen,
		       const char **errstr);

DESCRIPTION
sasl_checkpass() will check a plaintext password. This is needed for protocols that had a login method before SASL (for example the LOGIN command in IMAP). The password is checked with the pwcheck_method See sasl_callbacks for information on how this parameter is set. On failure errstr may contain a specific reason for failure that should NOT be given to the user agent.

RETURN VALUE
sasl_checkpass returns an integer which corresponds to one of the following codes. SASL_OK indicates that the authentication is complete. All other return codes indicate errors and should either be handled or the authentication session should be quit.

ERRORS

SASL_OK
    Success. Authentication complete

SASL_NOUSER
    User doesn't exist

SASL_BADAUTH
    Password is probably incorrect

SASL_BADVERS
    Mechanism version mismatch

SASL_BADPARAM
    error in config file

SASL_NOMEM
    not enough memory to complete operation

CONFORMING TO
RFC 2222

SEE ALSO
othersaslstuff